.flag-btn {
  position: relative;
  width: 32px;
  height: 18px;
  display: inline-block;
}

.flag-btn .flag {
  position: absolute;
  width: 100%;
  height: 100%;
  transition: opacity 0.3s ease;
}

.flag-btn .hover {
  opacity: 0;
}

.flag-btn:hover .hover {
  opacity: 1;
}

.flag-btn:hover .default {
  opacity: 0;
}